Redmine - Patch #17602

Include enabled modules in projects API
2014-08-03 18:26 - Jan from Planio www.plan.io

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 90%
Category: REST API Estimated time: 0.00 hour
Target version: 2.6.0

Description

For some API use cases, it will certainly be helpful to find out which modules are enabled in a project. It is at least for a new feature
we're developing at Planio. But in general, every API client which uses - let's say the issues API - should be able to check
beforehand, if the issue tracking module is active in a particular project or not.

This patch adds enabled_modules to the projects#show API. They will be shown only if the include=enabled_modules URL
parameter is used. The behaviour is exactly the same as for issue categories and trackers.

And while we're at it, it also makes the include=... URL parameters (for issue categories, trackers and enabled modules) available in
the projects#index API.

Tests are included, only needs merging :)

Related issues:
Related to Redmine - Feature #10651: Add More Information in Project API listing Closed
Has duplicate Redmine - Feature #8545: "get projects" REST API response shoul... Closed 2011-06-06

Associated revisions

Revision 13363 - 2014-09-06 05:17 - Jean-Baptiste Barth
Include enabled modules in projects API (#17602).

Contributed by Jan Schulz-Hofen <jan@plan.io>

History

#1 - 2014-09-01 09:33 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 2.6.0

#2 - 2014-09-06 05:19 - Jean-Baptiste Barth
- Status changed from Needs feedback to Closed

- Assignee set to Jean-Baptiste Barth

Good addition and | don't think it needs much discussion.

So indeed, just needed merging ;) Thanks!

#3 - 2014-09-08 08:50 - Jan from Planio www.plan.io
- Has duplicate Feature #8545: "get projects" REST API response should handle "include=trackers" parameter added

#4 - 2021-06-06 10:00 - Go MAEDA
- Related to Feature #10651: Add More Information in Project APl listing added
